using System;
using System.Xml;
class Program
{
    static void Main()
    {
        int n = Convert.ToInt32(Console.ReadLine());
        HashSet<int> s = new HashSet<int>();
        int max = 2 * n;
        int min = 1;

        string outputa = "";
        string outputb = "";
        for (int i = 0; i < n-2; i++)
        {
            if (i <= n)
            {
                if (s.Contains(min) != true)
                {
                    s.Add(min);
                    outputa += (min);
                    outputa += (" ");
                }
                if (s.Contains(max) != true)
                {
                    s.Add(max);
                    outputa += (max);
                    outputa += (" ");

                }
            }
            else
            {
                if (s.Contains(min) != true)
                {
                    s.Add(min);
                    outputb += (min);
                    outputb += (" ");
                }
                if (s.Contains(max) != true)
                {
                    s.Add(max);
                    outputb += (max);
                    outputb += (" ");

                }
            }
            max -= 1;
            min += 1;


            //Console.WriteLine(output);
        }
        outputa += n;
        outputa += " ";
        outputa += n+2;
        outputb += n-1;
        outputb += " ";
        outputb += n+1;
        Console.WriteLine(outputa);
        Console.WriteLine(outputb);
        //Console.WriteLine($"{n} {n + 2}");
        //Console.WriteLine($"{n - 1} {n+1}");



    }
}